com.sun.grid.jgdi.configuration

## Interface Range

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    RangeImpl

      public interface Range
      extends GEObject

  Java representation of the cull object RN_Type defined in sge_all_listsL.template

  Warning: The Range class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getMax()` Get the value of the max attribute.
    `int` | `getMin()` Get the value of the min attribute.
    `int` | `getStep()` Get the value of the step attribute.
    `boolean` | `isSetMax()` Determine if any max attribute is set
    `boolean` | `isSetMin()` Determine if any min attribute is set
    `boolean` | `isSetStep()` Determine if any step attribute is set
    `void` | `setMax(int aMax)` Set the max attribute.
    `void` | `setMin(int aMin)` Set the min attribute.
    `void` | `setStep(int aStep)` Set the step attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setMin

          void setMin(int aMin)

      Set the min attribute.
      Parameters:
        `aMin` - the new value for the min attribute

    - #### getMin

          int getMin()

      Get the value of the min attribute.
      Returns:
        the value of the min attribute

    - #### isSetMin

          boolean isSetMin()

      Determine if any min attribute is set
      Returns:
        `true` if the min attribute is set

    - #### setMax

          void setMax(int aMax)

      Set the max attribute.
      Parameters:
        `aMax` - the new value for the max attribute

    - #### getMax

          int getMax()

      Get the value of the max attribute.
      Returns:
        the value of the max attribute

    - #### isSetMax

          boolean isSetMax()

      Determine if any max attribute is set
      Returns:
        `true` if the max attribute is set

    - #### setStep

          void setStep(int aStep)

      Set the step attribute.
      Parameters:
        `aStep` - the new value for the step attribute

    - #### getStep

          int getStep()

      Get the value of the step attribute.
      Returns:
        the value of the step attribute

    - #### isSetStep

          boolean isSetStep()

      Determine if any step attribute is set
      Returns:
        `true` if the step attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.